
hirom  ; don't change this
header  ; comment out if your rom has no header

org $C245AC  ; location in v1.0 or v1.1
;org $C24594  ; location in SFC version
C245AC:	BRA clear_high

clear_zombie:
C245AE:	JSR $469C  ; v1.0 or v1.1
;C245AE:	JSR $4684  ; SFC only
C245B1:	BRA status_changed

set_muddle:
REPLACE1:
C245B3:	CLC  ; this one instruction...
;C245B3:	LDA $3018,Y  ; ...replaces these three
;			TSB $2F53
;			BRA status_changed

clear_muddle:
C245B4:	LDA $3018,Y
	TSB $2F53  ; set visual flipping of target
	BCC clear_high  ; if clearing Muddle...
C245BC:	TRB $2F53  ; ... remove flipping

status_changed:
	LDA $3018,Y  ; this needs to be done again because of incoming branch

clear_high:
REPLACE2:
C245C2:	AND #$00FF  ; this one instruction...
;C245C2:	PHX  ; ...replaces these three
;C245C3:	LDX $3018,Y
;C245C4:	TXA
C245C5:	TSB $3A4A
REPLACE3:
C245C8:	RTS
;C245C8:	PLX  ; replaces this
C245C9:	RTS

set_clear:
REPLACE4:
C245CA:	CLC  ; this one instruction...
;C245CA:	PHX  ; ...replaces all of this
;			LDX $3019,Y
;			TXA
;			TSB $2F44
;			PLX
;			RTS

clear_clear:
REPLACE5:
C245CB:	LDA $3019,Y  ; these instructions...
C245CE:	AND #$00FF
C245D1:	TSB $2F44
C245D4:	BCC exit_clear
;C245CB:	PHX  ; ...replace these ones
;C245CC:	LDX $3019,Y
;C245CF:	TXA
C245D6:	TRB $2F44

exit_clear:
;REMOVED1:
;	PLX
C245D9:	RTS

toggle_imp:
C245DA:	LDA #$0088
C245DD:	JSR $464C  ; v1.0 or v1.1
;C245DD:	JSR $4634  ; SFC only

clear_rage:
C245E0:	CPY #$08
C245E2:	BCS exit_imp
	LDA #$0101
	TSB $F6  ; flag Dance and Rage statuses to be cleared
C245E9:	PHX
C245EA:	TYA
C245EB:	LSR A
C245EC:	TAX
C245ED:	INC $2F30,X  ; flag properties to be recalculated at end of turn
C245F0:	PLX

exit_imp:
C245F1:	RTS

org $C246B8  ; location in v1.0 or v1.1
;org $C246A0  ; location in SFC version
DW set_clear,toggle_imp

org $C246F8  ; location in v1.0 or v1.1
;org $C246E0  ; location in SFC version
DW clear_clear,toggle_imp

org $C2470A  ; location in v1.0 or v1.1
;org $C246F2  ; location in SFC version
DW clear_muddle

org $C24720  ; location in v1.0 or v1.1
;org $C24708  ; location in SFC version
DW clear_rage